/* PPProg - A Linux Device Driver for direct access to the
*           parallel port. (Kernel versions 2.0.x-2.4.x)
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the 
*
* Free Software Foundation, Inc.
* 675 Mass Ave
* Cambridge
* MA 02139
* USA
*
*/


/** \file ppprog.h
* Header file for the Linux Device Driver ppprog.c and all programs using the module.
* \author Dirk Baechle, dl9obn@darc.de
* \version 1.0
* \date 2005-05-12
*/

/* This file was created automatically from the file `ppprog.nw' by NOWEB.
* If you want to make changes, please edit the source `ppprog.nw'.
* A precompiled documentation can be found in `ppprog.pdf' and `ppprog.ps',
* respectively.
* Read it to understand why things are as they are. Thank you!
*/



#ifndef _PPPROG_H
#define _PPPROG_H


#include <linux/ioctl.h>


/** The major device number */
#define DEVICE_MAJOR            219

/** The provided ioctl functions */
#define IOCTL_PPPROG_SEND       _IOR(DEVICE_MAJOR, 0, int *)
#define IOCTL_PPPROG_CHECK      _IOR(DEVICE_MAJOR, 1, int *)

/** The name of the device file */
#define DEVICE_FILE_NAME        "ppprog"

/** Maximum number of parallel port assertions within a 
* single command sequence */
#define MAX_ASSERTIONS          64


#endif

